program test_dble
 implicit none
  real    :: x = 2.18
  integer :: i = 5
  complex :: z = (2.3,1.14)

      write(*,*) 'Valosbol dupla-pontos: ', dble(x)
      write(*,*) 'Integerbol dupla-pontos: ', dble(i)
      write(*,*) 'Komplexbol dupla-pontos: ', dble(z)

end program test_dble
!/Niki
